/****************************************************************************************
	CarbonizedMenus.r
	
	Copyright  1999 Red Shed Software. All rights reserved.
	by Jonathan 'Wolf' Rentzsch (jon@redshed.net)
	
	Commenter	Date				Comment
	---------	-----------------	-----------------------------------------------------
	wolf		Thu, Jun 24, 1999	Created.
	
	************************************************************************************/

#include	"CarbonizedMenus.h"
#include	"wolf.h"
#include	"CarbonizedMenus.vers"

resource 'MBAR' (kMenubar) {
	{ kAppleMenu, kFileMenu, kEditMenu },
};

resource 'MENU' (kAppleMenu) {
	kAppleMenu,
	textMenuProc,
	0b11111111111111111111111111111101,
	enabled,
	apple, {
		"About " kProjectName "...",	noIcon, noKey, nomark, plain;
		"-",							noIcon, noKey, noMark, plain;
	}
};

resource 'MENU' (kFileMenu) {
	kFileMenu,
	textMenuProc,
	0b11111111111111111111111111111111,
	enabled,
	"File", {
		"Quit",			noIcon, "Q", nomark, plain
	}
};

resource 'MENU' (kEditMenu) {
	kEditMenu,
	textMenuProc,
	0b11111111111111111111111100000000,
	enabled,
	"Edit", {
		"Undo",			noIcon, "Z", nomark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Cut",			noIcon, "X", noMark, plain;
		"Copy",			noIcon, "C", noMark, plain;
		"Paste",		noIcon, "V", noMark, plain,
		"Clear",		noIcon, noKey, noMark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Select All",	noIcon, "A", noMark, plain
	}
};

resource 'vers' (1, purgeable) {	//	this file version
	kMajorVersionBCD,
	kMinorVersionBCD,
	kStageVersionName,
	kBuildVersionBCD,
	verUS,
	kVersionCString,
	kProjectName " " kVersionCString ",  1999  Jonathan 'Wolf' Rentzsch"
};

resource 'vers' (2, purgeable) {	//	set of files version
	kMajorVersionBCD,
	kMinorVersionBCD,
	kStageVersionName,
	kBuildVersionBCD,
	verUS,
	kVersionCString,
	"Carbonized Menus"
};